<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Automation Graph Rules</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="automation-graph-rules">Automation Graph Rules</h1>
<p>This section will describe <strong>Graph Rules</strong> in Cacti.</p>
<p>Graph rules are used by the Cacti automation process after a device has been identified and a template has been applied the next step is graph creation. Graph rules are processed from top to bottom.</p>
<p>The graph rule matches the graph template by looking at the data fields chosen that are available in the data query for example below we are creating graphs for interface traffic the data query has several fields available to match on.</p>
<p>You can see how these rules would take place by clicking the show matching objects link.</p>
<p><img src="images/automation-graph-rules.png" alt="Automation Graph Rules" /></p>
<p>A practical example if you want to create graphs for interfaces that are in up/up status you would choose the ifOperstatus field and match the status to UP this would tell automation to create the graph for that interface only if the data query discovers the operational status is equal to up.</p>
<p>A device selection Criteria is also important Cacti needs a way to find which device it needs to match. In the below example we are matching any device that has an interface that is up and is not a Windows server.</p>
<p>You can preview which devices this will apply to by clicking the Show matching devices link.</p>
<p><img src="images/automation-graph-rules-edit1.png" alt="Automation Graph Rules Edit" /></p>
<p><img src="images/automation-graph-rules-edit2.png" alt="Automation Graph Rules Device Criteria" /></p>
<p><img src="images/automation-graph-rules-edit3.png" alt="Automation Graph Rules Graph Criteria" /></p>
<p>This output shows us which devices match our devices rules this can help with tweaking rules as needed.</p>
<p><img src="images/automation-graph-rules-edit4.png" alt="Automation Graph Rules Matching Devices" /></p>
<p>This output shows which interfaces,drives,sensors etc will be graphed based on the graph rules.</p>
<p><img src="images/automation-graph-rules-edit5.png" alt="Automation Graph Rules Matching Objects" /></p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
